--- Makefile.bak	2020-09-03 18:58:20.015301209 +0100
+++ Makefile	2020-09-03 19:18:22.821936718 +0100
@@ -32,14 +32,14 @@
 
 CC      = cc
 LD      = cc		# Link command
-LDFLAGS	=
+LDFLAGS	= -m32
 CPP     = $(CC) -E
 DBG	= -O
 
 # uncomment this for old versions of make
 #MAKE	= make
 
-ASM	= $(CC)	-c		# Assembler command
+ASM	= $(CC)	-c -m32		# Assembler command
 
 OBJS_EXT=			# ASM obj. files
 LIBS_EXT=			# Libararies
@@ -182,8 +182,8 @@
 
 # optimized version with 80386.S
 sysv_386:
-	$(MAKE) all CPP="/lib/cpp -DSYSV" OBJS_EXT="_80386.o _zmatch.o" \
-	CFLAGS="-O -DUNIX -DIDEA32 -DUSE_NBIO -DASM"
+	$(MAKE) all CPP="/usr/bin/cpp -DSYSV" OBJS_EXT="_80386.o _zmatch.o" \
+	CFLAGS="-O -DUNIX -DIDEA32 -DUSE_NBIO -DASM -m32"
 
 xenix386:
 	$(MAKE) all CPP=/lib/cpp OBJS_EXT="_80386.o _zmatch.o" \
--- armor.c.bak	2020-09-03 18:55:11.305306047 +0100
+++ armor.c	2020-09-03 18:53:05.501976069 +0100
@@ -304,7 +304,7 @@
  * idea.
  */
 static int
-getline(char *buf, int n, FILE *f)
+takeline(char *buf, int n, FILE *f)
 {
 	int state;
 	char *p;
@@ -338,7 +338,7 @@
 			return 0;	/* Out of buffer space */
 		}
 	} /* for (;;) */
-} /* getline */
+} /* takeline */
 
 /*
  * Read a line from file f, buf must be able to hold at least 80 characters.
@@ -475,7 +475,7 @@
 			return(1);
 		}
 		fprintf (outFile, "-----BEGIN PGP SIGNED MESSAGE-----\n\n");
-		while ((i = getline(buffer, sizeof buffer, clearFile)) >= 0)
+		while ((i = takeline(buffer, sizeof buffer, clearFile)) >= 0)
 		{
 			/* Quote lines beginning with '-' as per RFC1113;
 			 * Also quote lines beginning with "From "; this is
@@ -968,12 +968,12 @@
 		{	++infile_line;
 			status = skipline(in);
 		} while (status != 0);
-		/* Ignore error; getline will discover it again */
+		/* Ignore error; takeline will discover it again */
 		status = 0;
 		for (;;)
 		{	++infile_line;
 			nline = status;
-			status = getline(buf, sizeof buf, in);
+			status = takeline(buf, sizeof buf, in);
 			if (status < 0)
 			{	fprintf(pgpout,PSTR("ERROR: ASCII armor decode input ended unexpectedly!\n"));
 				fclose(in);
@@ -991,7 +991,7 @@
 			/* Copy trailing part of line, if any. */
 			if (!status)
 				status = copyline(in, litout);
-			/* Ignore error; getline will discover it again */
+			/* Ignore error; takeline will discover it again */
 		}
 		fflush (litout);
 		if (ferror(litout))
